## openstack-cluster-installer 42.2.3

=== debian/changelog ===
openstack-cluster-installer (42.2.3) unstable; urgency=medium

  * openstack-cluster-installer-poc: do not depends on grub-efi-amd64-signed,
    not available in arm64, suggests: it instead.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Jan 2023 10:37:27 +0100

openstack-cluster-installer (42.2.2) unstable; urgency=medium

  * Add call to ::cinder::nova in compute.pp when having OSDs in the cluster.
  * Add call to ::cinder::nova in volume.pp.
  * Only suggests grub-efi-{amd64,arm64}-signed, because OCI is arch:all and
    can't depends on grub-efi-amd64-signed. Only copy grub / shim to the tftp
    folder if it's available.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Jan 2023 10:37:36 +0100

openstack-cluster-installer (42.2.1) unstable; urgency=medium

  * Fix filter:tempurl/prefix_path -> filter:tempurl/path_prefix in
    swiftproxy.pp.
  * Increase net.core.somaxconn to 65536 on all nodes.
  * Make oci-build-nova-instances-vg do bind mounts for
    /var/lib/{libvirt,nova,cinder} instead of just /var/lib/nova/instances.
    This better fits setup with Ceph.
  * Added DSS 1510 support in oci-block-device-udev-sorting.
  * Make Designate work.
  * Make it possible to customize VXLAN VNI ranges per clusters.
  * Add support for Yoga.
  * Setup an additional VG in controllers if a data disk exists, and use it for
    Glance image upload temp dir in Horizon.
  * swift: add rsync bandwidth limiting for rsync (very useful when doing
    rebalance).
  * Install also by default a few firmware:
    - firmware-linux-free
    - firmware-misc-nonfree (contains intel NICs)
    - firmware-qlogic
  * Add --order/-o <hostname|racking|zoning> option to ocicli machine-list.
  * horizon: set $password_retrieve = true by default (inconditionally) to
    enable password retrieval from metadata (encrypted with the user SSH
    public key). That's mandatory for Windows install.
  * Use the new rsync_module_per_device puppet-swift feature.
  * controller+messaging MariaDB: set innodb_buffer_pool_size to total_ram / 8
    plus add innodb_flush_log_at_trx_commit = 2.
  * Implement client/server PKI auth for VNC.
  * Octavia: disable bad cypher by default.
  * Barbican: install barbican-worker by default in the controllers.
  * Add UEFI support.
  * Add designate-tlds support, and documentation.
  * Fix live image autologin (Closes: #1027800).
  * Removed puppet-master dependency as the server is currently removed from
    Debian until Puppet 6 or 7 is packaged.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Jan 2022 16:49:39 +0100

openstack-cluster-installer (42.1.0) unstable; urgency=medium

  * Fix haproxy rate which was 10 times too low.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Jan 2022 11:01:28 +0100

openstack-cluster-installer (42.0.0) unstable; urgency=medium

  [ Kevin Allioli ]
  * Added swift erasure coding support.
  * Correct the list of allowed methods for ::swift::proxy::tempurl, also set
    filter:tempurl/prefix_path.
  * Tweaks for designate integration.

  [ Thomas Goirand ]
  * Set nova::api max_limit to 10000.
  * Add a install_cloudkitty_dashboard flag.
  * Add oci-ilorest wrapper.
  * Correctly check for Horizon availability on haproxy.
  * Lower the privileges of the backup user used for Galera replications.
  * Fix ceilometer for floating ips polling.
  * Fix unix rights of /var/log/swift/*.log files using puppet.
  * Configure heat_api/heat_api_root.
  * Make it possible to skip installation of Telemetry completely.
  * Fix the puppet stuff for Xena.
  * Make Octavia installation optional.
  * Use ilorest to configure ProLiant DL385 Gen10 Plus boot device (add
    ilorest as depends).
  * ::ceilometer::keystone::auth': do not pass the parameter configure_endpoint
    when >= victoria.
  * Fix collector_gnocchi/region_name call goes in cloudkitty::processor when
    >= xena.
  * Correctly install OCI root CAs in the target systems.
  * Configure Nova + Libvirt to do live migration over libvirt native TLS.
  * Add the possibility to add a --fixed-ip parameter when doing machine-add.
  * Restart MySQL in case of start failures on controller + messaging.
  * Add OpenStack deployment over OpenStack VMs CI script.
  * tempest.pp: increase ssh and image build timeout, and handle microversion
    min and max for both Placement and Nova.
  * utils/usr/bin/oci-build-cinder-volume-vg: handle /dev/disk/oci-sort.
  * openstack-cluster-installer-common: add racadm bash-completion script.
  * oci-hdd-maint: make sure the script is ran as root, exit 1 otherwise.
  * Implement radius auth using php-dapphp-radius if php-radius is not
    available (php-radius is removed from bookworm because it doesn't build
    against PHP 8.x). Set depends to php-dapphp-radius | php-radius.

  [ Cyril de Bourgues ]
  * use the new way for external healthcheck & add dontlognull.

  [ Simeon Gourlin ]
  * Modify disk install parameter for hardware raid setup.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Nov 2021 14:54:01 +0100
