## openstack-cluster-installer 42.2.5

=== debian/changelog ===
openstack-cluster-installer (42.2.5) unstable; urgency=medium

  * Fix in Zed: swift-proxy delete_concurrency.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Feb 2023 15:48:42 +0100

openstack-cluster-installer (42.2.4) unstable; urgency=medium

  * Add a default designate_policy.json in Horizon enforcing dnsmember
    requirement to display the DNS panel.
  * Add Bookworm support:
    - Add support for the new non-free-firmware in bookworm and up.
    - Fix idna_convert.class.php to support PHP 8.2.
    - Fix implode() call wrong param order in ssh.php's send_ssh_cmd().
    - Do not install netcat in --postinstall-packages, as it's gone from
      bookworm, and openstack-cluster-installer-common already depends on
      netcat-traditional.
    - oci-hdd-maint: add ThinkSystem SR665 HDD disposition.
    - Fixups for Puppet >= 7.
    - Add puppet-module-puppetlabs-sshkeys-core as Depends.
    - Depends on puppetserver | puppet-master.
    - oci-poc: add [master] section if missing from puppet.conf.
    - Mount /var/log, /var/lib/automysqlbackup on a data disk on messaging
      nodes (if such disk exists).
    - Add missing depends: puppet-module-puppetlabs-cron-core.
    - PoC: fix the vip interface name to be ens5, instead of eth1. Also, allow
      more flexibility (ie: any eth name) for network interface selection in
      the OCI's IPAM.
    - Add puppet-module-puppetlabs-mount-core as depends (needed for swift).
    - src/api.php: Also fix NIC string check for network_add.
    - Volume nodes: build the lvm.conf filter AFTER building the vg.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Feb 2023 14:36:19 +0100
