=== debian/control ===
--- 
+++ 
@@ -45,11 +45,13 @@
  php-mysql,
  php-ssh2,
  php-yaml,
+ puppetserver | puppet-master,
  puppet-module-camptocamp-systemd,
  puppet-module-heini-wait-for,
  puppet-module-icann-quagga,
  puppet-module-oci (= ${binary:Version}),
  puppet-module-puppetlabs-firewall,
+ puppet-module-puppetlabs-sshkeys-core,
  pxelinux,
  qemu-utils,
  ssl-cert,
@@ -328,4 +330,3 @@
  Once computers in the cluster boot for the first time, a Debian live system is
  served by OCI over PXE, to act as a discovery image. This live system then
  reports the hardware features back to OCI. Computers can then be installed
- with Debian from that live system, configured with a puppet-agent that will
