## openstack-cluster-installer 43.0.0

=== debian/changelog ===
openstack-cluster-installer (43.0.0) unstable; urgency=medium

  [ Thomas Goirand ]
  * [d1a359a] Add --haproxy-custom-url option to ocicli.
  * [e45d4d7] Merge branch 'ceph-az' into debian/caracal
  * [d1fa666] Fix fetching ceph_osbpo_release
  * [e5c3047] report.php: fix typo.
  * [1870467] Fix pinning of Ceph packages.
  * [dbfb144] Add an lldp switchname matcher to select network cards in a
    network definition.
  * [505fb4d] Enable http to https redirection on haproxy level for openstack
    API See merge request openstack-team/debian/openstack-cluster-installer!55
  * [58308cf] Fix d/copyright.

  [ Philippe SERAPHIN ]
  * [5c3f671] In oci-hdd-maint, test if drive mounted before change owner

  [ Thomas Goirand ]
  * [25bab47] caracal: fix keystone roles creation.
  * [6ecfbf8] oci-hdd-maint: implement wait_until_mounted correctly.
  * [f84cd5d] oci-poc-ci: cosmetic print fix
  * [d1d8913] oci-agent: allow using storcli64, not only storcli_x64.
  * [b7dbb25] Fix syntax.
  * [98defe8] oci-agent: always report physical disks if MegaRAID is seen.
  * [55fec1e] hardware_profile.php: fix enclosure number when using storcli to
    setup raid0 or raid1.
  * [4789c8c] caracal: use the new cert_file and key_file parameters of
    nova::migration::libvirt instead of setting it up in libvirtd_config
  * [07b4e93] compute.pp: provision /etc/openstack/puppet/admin-clouds.yaml if
    using extrenal keystone.
  * [56444ad] compute.pp: configure the CEPH_X backend depending on the compute
    AZ.
  * [b87cc9f] caracal: volume.pp must use the new parameters
    max_over_subscription_ratio and reserved_percentage of
    cinder::backend::iscsi

  [ Axel Jacquet ]
  * [5fbbc0e] some fixes for galera role

  [ Thomas Goirand ]
  * [6efe0ee] oci-agent: fix reporting firmware version twice.
  * [bc8b6dd] merge-on-all-branches: Retry pull / push as Salsa is being
    annoying.
  * [92b8641] Make the SQL role work
  * [52f265c] The beginning of a sqlmsg role (not tested yet).
  * [4b83e74] ocicli machine-wipe: Wipe 4GB instead of 1000 MB.
  * [f67fb88] oci-block-device-udev-sorting: also support "ProLiant DL385 Gen10
    Plus v2"
  * [8a9a805] controller.pp: fix galera backend members.
  * [2b772dd] oci-poc-setup: nit: fix echo to suggest
    oci-poc-install-cluster-bgp instead of -full.
  * [ed2c9d9] slave_actions.php: Fix setting-up first_sql_machine_id (missing
    break in switch/case).
  * [1f5d202] Start of implementing ceph_use_cephadm_to_deploy
  * [2ce2d40] sqlmsg role: fix ENC and sql.pp.
  * [7baa59b] Set messaging vip with role messaging.
  * [e425b6f] ceph multiple-az: correctly pass params to get_cluster_password()
  * [b3c9a1c] messaging node to use the sqlmsg IP for db connections.
  * [042760e] Fix num of HDD for swiftproxy in PoC

  [ Axel Jacquet ]
  * [b823160] Add possibility to Blacklist Swift account and S3 account
    independently with custom map, return 503 custom message

  [ Thomas Goirand ]
  * [963d3ea] swiftproxy.pp: Do not double-set
    container-replicator/node_timeout
  * [ab1f471] messaging.pp: do not depend on galera class if there's an sqlmsg
    role in the cluster.
  * [456e5b6] controller.pp and messaging.pp: with sql role, wait for db to be
    populated before services.
  * [1224016] oci-wait-for-remote-sql: missing $ when fetching --db-name.
  * [8358398] create designatedb on sql node, and properly schedule the API VIP
    before services.

  [ Simeon Gourlin ]
  * [aad2138] Setting default Neutron firewall driver to _openvswitch_ from
    Caracal
  * [6e53cd5] Setting default Neutron firewall driver to _openvswitch_ from
    Caracal in controller and compute also

  [ Thomas Goirand ]
  * [96845c6] tempest.pp: support setup with Caracal version of
    puppet-module-tempest.
  * [ee2faf9] Always transmit designate pass to sql node.
  * [45aa8b3] untested (yet): Add firewalling to SQL nodes.
  * [60eee4f] Fix sql nodes firewalling.
  * [68dc12f] Handle cephadm keys.

  [ Philippe Seraphin ]
  * [60ec6df] Change detection for all card type on R740xd

  [ Thomas Goirand ]
  * [e8b2748] openstack-cluster-installer-agent: report blkctrl firmware
    version using storcli (instead of megacli) if available.
  * [4ecf3ca] Implement: ocicli password-{list,show,set}
  * [3550155] Implements IPMI management using fixed DHCP per port.
  * [237b74c] ocicli: implement machine-activate-ipmi-over-lan for both HPE and
    Dell server types in a better, nicer, unified way.
  * [504bbf4] hardware_profile.php: reset $raid_megacli_cfg_opt before
    calculating each drive cmd line.
  * [4cccc6a] src/inc/hardware_profile.php: Fixup clearing all JBOD disk before
    apply.
  * [c5791ea] SQL and MSGSQL nodes: mount /var/lib/mysql with the 2nd data disk
  * [65c8268] oci-first-boot: Fix mounting mysql folder in the data disk
    sql/sqlmsg nodes.
  * [1f259f5] Fix save and display of ssh keys.
  * [7a01cfa] oci-block-device-udev-sorting: more for ProLiant DL365 Gen11
  * [a1cb869] ocicli: also display password type "openstackkey"
  * [74b62bd] Also handle ocicli password-set with type openstackkey.
  * [8271fb7] Also transmit ceph_use_cephadm_to_deploy to billmon / billosd.
  * [cdcf952] ocicli machine-show: order block devices by LENGTH(name),name
    (that's nicer, so 2 is before 11).
  * [f9e4847] ocicli password-set: use mysqli_real_escape_string() instead of
    safe_pass().
  * [fd68441] enc.pp: do not fetch Ceph passwords for controllers if we're in
    ceph_use_cephadm_to_deploy mode.
  * [d1d6462] oci-block-device-udev-sorting: handle DL365 Gen11 2x VD disks.
  * [b170d94] messaging.pp: handles ceph_use_cephadm_to_deploy option.
  * [3ab4315] nova-scheduler: set host_subset_size to 3 to avoid all VMs to be
    poped on the same compute when doing "server create" in bulk.
  * [08d3b85] api.php: removed remaining debug echo cause command passwor-set
    to not return 0.
  * [8ff8e09] Fix keystone access as admin from compute to be able to list and
    set volume types.

