=== debian/control ===
--- 
+++ 
@@ -12,6 +12,50 @@
 Vcs-Browser: https://salsa.debian.org/openstack-team/debian/openstack-cluster-installer
 Vcs-Git: https://salsa.debian.org/openstack-team/debian/openstack-cluster-installer.git
 
+Package: openstack-cluster-installer-live-image-builder
+Architecture: all
+Depends:
+ ipxe,
+ live-build,
+ openstack-pkg-tools,
+ pxelinux,
+ shim-signed,
+ ${misc:Depends},
+Breaks:
+ openstack-cluster-installer (<< 42.3.4),
+Replaces:
+ openstack-cluster-installer (<< 42.3.4),
+Suggests:
+ grub-efi-amd64-signed,
+ grub-efi-arm64-signed,
+ syslinux-efi,
+Description: automatic PXE and puppet-master installer for OpenStack - live images
+ OCI (OpenStack Cluster Installer) is a software to provision an OpenStack
+ clusters automatically. This package installs a provisioning machine, which
+ uses the below components:
+  * a DHCP server (isc-dhcp-server)
+  * a PXE boot server (tftp-hpa)
+  * a web server (apache2)
+  * a puppet-master
+ .
+ Once computers in the cluster boot for the first time, a Debian live system is
+ served by OCI over PXE, to act as a discovery image. This live system then
+ reports the hardware features back to OCI. Computers can then be installed
+ with Debian from that live system, configured with a puppet-agent that will
+ connect to the puppet-master of OCI. After Debian is installed, the server
+ reboots, and OpenStack services are provisionned, depending on the server role
+ in the cluster.
+ .
+ OCI is fully packaged in Debian, including all of the Puppet modules. After
+ installing the OCI package and its dependencies, no other artificat needs to
+ be installed on your provisioning server, meaning that if a local debian
+ mirror is available, the OpenStack cluster installation can be done completely
+ offline.
+ .
+ This package contains the tooling to build OCI live PXE images. It can be used
+ separately from the main openstack-cluster-installer together with the
+ oci-scp-arm64-boot script to build arm64 live images.
+
 Package: openstack-cluster-installer
 Architecture: all
 Depends:
@@ -25,17 +69,16 @@
  ceph-common,
  curl,
  dbconfig-common,
- default-mysql-server,
+ default-mysql-server | mariadb-server,
  ilorest,
  ipcalc,
  ipmitool,
- ipxe,
  isc-dhcp-server,
  jq,
  live-build,
- lsb-base,
  net-tools,
  openstack-cluster-installer-cli (= ${binary:Version}),
+ openstack-cluster-installer-live-image-builder (= ${binary:Version}),
  openstack-debian-images,
  openstack-pkg-tools,
  openstack-puppet-modules,
@@ -45,14 +88,14 @@
  php-mysql,
  php-ssh2,
  php-yaml,
- puppetserver | puppet-master,
  puppet-module-camptocamp-systemd,
  puppet-module-heini-wait-for,
  puppet-module-icann-quagga,
  puppet-module-oci (= ${binary:Version}),
+ puppet-module-puppet,
  puppet-module-puppetlabs-firewall,
  puppet-module-puppetlabs-sshkeys-core,
- pxelinux,
+ puppetserver | puppet-master,
  qemu-utils,
  ssl-cert,
  sudo,
@@ -170,13 +213,13 @@
  jq,
  libxml-xpath-perl,
  lldpd,
- lsb-base,
  lshw,
  lsscsi,
  mokutil,
  netcat-traditional,
  nmap,
  pciutils,
+ smartmontools,
  ${misc:Depends},
 Breaks:
  openstack-cluster-installer (<< 27~),
@@ -256,11 +299,11 @@
  bridge-utils,
  curl,
  haproxy,
+ ikvswitch,
  ipcalc,
  iptables,
  ipxe,
  jq,
- lsb-base,
  net-tools,
  openipmi (>= 2.0.25),
  openstack-cluster-installer-cli (= ${binary:Version}),
@@ -276,7 +319,6 @@
  grub-efi-amd64-signed,
  grub-efi-arm64-signed,
  qemu-kvm,
- shim-signed,
  syslinux-efi,
 Description: automatic PXE and puppet-master installer for OpenStack - PoC
  OCI (OpenStack Cluster Installer) is a software to provision an OpenStack
@@ -289,44 +331,3 @@
  .
  Once computers in the cluster boot for the first time, a Debian live system is
  served by OCI over PXE, to act as a discovery image. This live system then
- reports the hardware features back to OCI. Computers can then be installed
- with Debian from that live system, configured with a puppet-agent that will
- connect to the puppet-master of OCI. After Debian is installed, the server
- reboots, and OpenStack services are provisionned, depending on the server role
- in the cluster.
- .
- OCI is fully packaged in Debian, including all of the Puppet modules. After
- installing the OCI package and its dependencies, no other artificat needs to
- be installed on your provisioning server, meaning that if a local debian
- mirror is available, the OpenStack cluster installation can be done completely
- offline.
- .
- This package installs a PoC (Proof of Concept) server running VMs to test,
- contribute and debug OCI. Note that you need at least 128 GB of RAM to run it
- (256 GB recommended), as it will provision 18 nodes, with 3 nodes for each
- role: controller, computes, volume and network, plus the OCI node.
-
-Package: openstack-cluster-installer-utils
-Architecture: all
-Depends:
- csvkit,
- facter,
- gnupg2,
- hdparm,
- iptables-persistent,
- openstack-cluster-installer-common (= ${binary:Version}),
- puppet | puppet-agent,
- ssl-cert,
- ${misc:Depends},
-Description: automatic PXE and puppet-master installer for OpenStack - utils
- OCI (OpenStack Cluster Installer) is a software to provision an OpenStack
- clusters automatically. This package installs a provisioning machine, which
- uses the below components:
-  * a DHCP server (isc-dhcp-server)
-  * a PXE boot server (tftp-hpa)
-  * a web server (apache2)
-  * a puppet-master
- .
- Once computers in the cluster boot for the first time, a Debian live system is
- served by OCI over PXE, to act as a discovery image. This live system then
- reports the hardware features back to OCI. Computers can then be installed
