## openstack-cluster-installer 43.0.1

=== debian/changelog ===
openstack-cluster-installer (43.0.1) unstable; urgency=medium

  [ Thomas Goirand ]
  * [34c36ca] heat: do not set trustee/project_name as this breaks RBAC.
  * [03b8a9a] heat: Ensure trustee/project_name isn't defined to avoid rights
    issue.
  * [d4953ea] controller.pp: fix scheduling for designate, manila and magnum.
  * [94cc54a] oci-cluster-upgrade-openstack-release: check for VIP in ctrl1
  * [04cdca8] Automatic removal of /etc/oci/self-signed-api-cert folder of cert
    is not self-signed.
  * [19b2d22] controller.pp: breaks scheduling dependency loop
    Anchor['horizon::service::end'] -> Class['haproxy'] replaced by
    Haproxy::Frontend['openstackfe']
  * [eb45904] horizon: set default_dns_nameservers within neutron_options.

  [ Bertrand Lanson ]
  * [1e01c5b] feat: Make metric_processing_delay a variable
    See merge request openstack-team/debian/openstack-cluster-installer!74

  [ Simeon Gourlin ]
  * [502c347] Configuring nova timeout block_device_allocate_retries

  [ Thomas Goirand ]
  * [ea33c93] Add a new and better oci-scp-ring command.
  * [08845a0] oci-scp-ring: a few fixups.
  * [66165f0] Fix syntax error in controller.pp
  * [32d26f9] Document how to upgrade from Bullseye to Bookworm.
  * [aa3625f] Generate /root/reset-rabbitmq-credentials script, useful for
    bookworm upgrades.
  * [520ae50] Feat/enable sni.
    See merge request openstack-team/debian/openstack-cluster-installer!71
  * [9d8de1e] Fix check_rb_user
  * [c0db4a2] oci-poc-restore: use oci-restart-all-services
  * [94a79aa] New oci-cluster-upgrade-bullseye-to-bookworm script, factorize in
    a oci-cluster-upgrade-funcs lib.
  * [45d2157] Also generate /root/reset-rabbitmq-credentials in messaging nodes
  * [c83867c] Fix description of haproxy_admin_external_access
  * [875b1bd] More Bookworm upgrade fixups.
  * [0706312] Package list for Antelope upgrade.
  * [7aaf974] upgrades: Fix restarting puppetserver in bookworm.
  * [564dcd8] Less packages in ctrl_upgrade_depends
  * [31c0312] Cluster with the correct node when rejoining after Bookworm
    upgrade.
  * [85b9e0f] List of packages for bobcat upgrade.
  * [cc3a882] Increase the number of VCPU for the 3x cl2 keystone nodes.
  * [a103403] bin/oci-cluster-upgrade-openstack-release: caracal package list.
  * [23f7509] oci-agent/openstack-cluster-installer-bodi-hook-script: fix
    puppet.conf setup.
  * [5e8e568] README.md: Bullseye to Bookworm upgrade.
  * [b9604d9] bin/oci-cluster-upgrade-bullseye-to-bookworm: Fix upgrading
    CEPHMON.
  * [e06ab58] Always schedule Anchor['horizon::service::end'] ->
    Haproxy::Frontend['openstackfe'] even if initial_cluster_setup is no.
  * [481c065] poc-bin/oci-poc-provision: Fix getting the IP of controllers of
    cl3 in the PoC
  * [358524b] poc-bin/oci-poc-provision: Correctly select controller 3 IPs.
  * [a3e0fee] oci-restart-all-services: Restart services in order, then in
    parallel.
  * [841824d] Bullseye: final reset of rabbit cluster and restart of all
    services.
  * [f566f9d] bin/oci-cluster-upgrade-openstack-release: only upgrade packages
    that are installed.
  * [57c23b8] bin/oci-cluster-upgrade-openstack-release: upgrade all installed
    horizon plugin at the same time as Horizon.
  * [47a63b9] bullseye-to-bookworm: handle the case when clusters has no rabbit
  * [1000523] Also schedule: Service['httpd'] ->
    Haproxy::Frontend['openstackfe']
  * [6628035] utils/usr/bin/oci-restart-all-services: launch "Restarting in
    parallel" only if there are some services left to start.
  * [db279c3] haproxy: Do not bind port 80 by default, as it conficts with
    Apache on PoC cl2 (keystone only).
  * [9d0b2e3] oci-restart-all-services: fix test.
  * [9321c05] oci-restart-all-services: remove double-defined nova-conductor.
  * [b5d9ced] bin/oci-cluster-upgrade-openstack-release: Fix list of horizon
    plugin packages.
  * [0c101bc] Package depends list for Dalmatian.
  * [1a0b563] oci-cluster-upgrade: only upgrade packages that are installed and
    that are in a higher version.
  * [a6d26e4] upgrade to bookworm: automatically add non-free-firmware to
    standard sources.list.
  * [ac8cc17] bin/oci-cluster-upgrade-openstack-release: add checks from and to
    OS release names.
  * [5fc07df] Increase number of VM from 53 to 54.
  * [2d8ac70] Schedule restart of rabbit just right after RabbitMQ nodes have
    been dist-upgraded and rebooted.
  * [059e344] oci-cluster-upgrade-bullseye-to-bookworm: install zstd if not
    present.
  * [154774b] bin/oci-cluster-upgrade-bullseye-to-bookworm: correctly call
    rejoin_rabbit_cluster with first node hostname.
  * [14fb7e0] Colorize output of oci-poc-{save,restore}
  * [3a366df] Merge branch 'feat/swtpm-options' into 'debian/dalmatian'
    feat: enable swtpm option for compute nodes above Xena
    See merge request openstack-team/debian/openstack-cluster-installer!75
  * [8429fd0] bin/oci-cluster-upgrade-openstack-release: run db
    online_data_migrations for cinder and placement after upgrade, plus run
    cinder db purge 0 before upgrade.

  [ Bertrand Lanson ]
  * [42fff9a] feat: regionalize barbican service for nova-compute.
    This force the setting of the barbican_region_name parameter, in order
    to let nova-compute communicate with the barbican api in case of
    multi-region deployments

  [ Thomas Goirand ]
  * [56c895d] uncollorize some of oci-poc-save
  * [ef75fa1] Add region_name param in neutron::designate call.
    See https://review.opendev.org/c/openstack/puppet-neutron/+/936823
  * [675b8f0] openstack-api-vip
  * [f4ec0ef] vip-6: only setup when initial-cluster-setup is yes.
  * [7537a7a] Always setup the VIP, not only if initial-cluster-setup is set.
  * [4042bd5] Fix auth_url in neutron::designate for multi-region.
  * [efeddcd] controller.pp: correctly user and pass for ::neutron::designate
  * [99baa12] Also display authtoken passwords.
  * [06549d5] tempest.pp: Fix login_url and dashboard_url to include https://

