=== debian/control ===
--- 
+++ 
@@ -97,6 +97,7 @@
  puppet-module-puppetlabs-sshkeys-core,
  puppetserver | puppet-master,
  qemu-utils,
+ rsync,
  ssl-cert,
  sudo,
  swift,
