## openstack-cluster-installer 43.0.2

=== debian/changelog ===
openstack-cluster-installer (43.0.2) unstable; urgency=medium

  [ Thomas Goirand ]
  * [59243d5] compute.pp: correctly set block_device_allocate_retries and
    block_device_allocate_retries_interval in victoria and wallaby.
  * [6ebe619] Always transmit Ceph keys to controller.pp, even when using
    cephadm to deploy.
  * [552210b] When using cephadm to deploy, install cephadm only if not
    bullseye.
  * [feacf04] Add support for barbican_endpoint in swiftproxies starting with
    Victoria, not just Caracal, as I just backported the feature in both Swift
    and puppet-module-swift.
  * [a7e4e22] Make upgrades work without moving the VIPs.
  * [dc53934] Upgrade Neutron last and slow down if rabbitmq messages too high.
  * [56b4c6f] Fix advertizing Octavia network in the PoC.

  [ Olivier Chaze ]
  * [f927ff6] workaround for https://bugs.launchpad.net/swift/+bug/2093413

  [ Thomas Goirand ]
  * [6cefba4] Set uwsgi/disable-logging to false everywhere.
  * [d85d762] Rewrite Octavia functional test exclude list after Octavia
    network setup is correct.
  * [558ef0f] Add 'qos' to extentions in ml2::ovs.
  * [8e0d859] Add 'fip_qos' and 'gateway_ip_qos' to l3 agent extentions.

  [ Simeon Gourlin ]
  * [0f32e8a] Fix number of rpc_workers for Neutron.
    See merge request openstack-team/debian/openstack-cluster-installer!83

  [ Thomas Goirand ]
  * [a7fc851] Add elastic role.
  * [1f75699] Add missing puppet-module-voxpupuli-elasticsearch runtime depends
  * [8479da9] ::cloudkitty has no param rabbit_transient_quorum_queue
  * [23e4cec] Revert "::cloudkitty has no param rabbit_transient_quorum_queue"
    This reverts commit 8479da92f5ebe6c5496900c0de912c0c2e38099d.
    since I fixed the puppet module.
  * [62d079e] ocicli cluster-install: also install elsaticsearch server.
  * [5b58d9f] tempest.pp: fix dashboard_url in case of dalmatian and up.
  * [bf4b109] openstack-cluster-installer-build-live-image: fix installing
    storcli on HPE

  [ Olivier Chaze ]
  * [0ce14df] remove double declaration so iptable rules are actually applied.

  [ Thomas Goirand ]
  * [c10da88] Also fix storcli install under > Buster.
  * [39141ba] Fix previous fix... :P
  * [054a3e2] Cephadm no pool create on controllers
  * [2d96dfd] No neutron-metering-agent if not using telemetry.
  * [ee8ddc6] network node: Fix packet lost with high trafic on network nodes.
  * [04be6d0] Document creating CEPH_1 cinder backend.
  * [c936ad8] Switch depends from bind9utils to bind9-utils (Closes: #1100059).

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Mar 2025 08:33:12 +0100
