## openstack-cluster-installer 43.0.3~bpo11+1

=== debian/changelog ===
openstack-cluster-installer (43.0.3~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-zed.infomaniak.ch>  Tue, 15 Apr 2025 14:07:32 +0000

openstack-cluster-installer (43.0.3) unstable; urgency=medium

  [ Thomas Goirand ]
  * [3a29887] Fix default volume size in tempest, as 2GB makes tempest fail.
  * [36258c2] haproxy.cfg for the PoC
  * [4e959b5] compute.pp: install and run numad only if cpu_sockets >= 2

  [ Olivier Chaze ]
  * [49185b8] option http-buffer-request mandatory for req.body ACLs
  * [1e91051] option http-buffer-request mandatory for req ACLs

  [ Thomas Goirand ]
  * [5915d8e] Add bookworm-epoxy key.
  * [632144d] Improve README.md thanks to Florian La Roche
  * [1bb1d79] oci-poc-provision-network: Fix BGP_NET_LEAF_2_REMOTE_AS
  * [2824033] controller_iptables.pp: fix LOGDROP table isn't created if rate
    limit isn't disabled.
  * [6530628] Use [signed-by=] and avoid using apt-key add.
  * [1773561] poc: install cl1 network nodes and cl3 controllers on ens5, not
    ens4, as it's leaf2 that has VLAN for it.
  * [06b1ea4] oci-poc-provision-network: Fix dynamic-routing setup to use leaf2
    for ipv4 advertizing.
  * [bf12191] tempest.pp: set volume/catalog_type in tempest.conf, and
    correctly set microversions for Dalmatian and Epoxy.
  * [fd1bef8] tempest.pp: set heat_plugin/username, password and region.
  * [134f44e] tempest.pp: Use zabbix as username for tempest.
  * [26663d4] Setup a tempest2 alt_username + alt_project.
  * [09283fd] Setup min microversions.
  * [86c5e5a] tempest exclude.conf: add
    test_rebuild_server_with_volume_attached that is doing a wrong address test
  * [02bc859] Add domain names in tempest.conf.
  * [8662cfd] poc-bin/oci-poc-haproxy: correctly set local IP in haproxy.cfg on
    the PoC host.
  * [cf14a11] min microversion of compute is 2.1
  * [bd6d8f0] PoC: Fixed the name of external_network_name to ext-net1 to
    repair tempest.
  * [7a4a58b] Merge branch 'debian/dalmatian' into debian/epoxy
  * [4257421] PoC: Fixed public_network_name
  * [80c8122] PoC: Fix neutron_external_network_name in the enc.
  * [207c8a9] PoC: set designate_nameservers with the IP of cl1-dns-1 and
    cl1-dns-2.
  * [3ae593e] Fix: openstacklo_fe should not be there if gnocchi isn't
    installed.
  * [ed6068d] PoC: blacklist 3 functional tests not working in non-DVR mode.
  * [42208bf] ocicli: install Elastic nodes before controllers when installing
    a cluster.
  * [9989115] PoC: Correctly create the cloudkitty index in elasticsearch.
  * [1987dd9] Blacklist 4 more tempest tests.
  * [3b2b043] Fix barbican min and max microversion for Epoxy.
  * [2eff3d7] PoC: Make sure cl1-compute-3 to 8 are not in disabled state.
  * [8e14e5f] PoC: Correctly push the correct octavia network to leaf2
  * [44087f8] PoC: More values for [load_balancer] (grabbed from
    octavia-tempest-plugin).
  * [098151d] PoC: re-enable some tempest tests that are now passing.
  * [e54a626] Re-enable 3 tests.
  * [6412473] Blacklist tempest test: TestStampPattern.test_stamp_pattern. It
    needs mkfs.vfat in the image.
  * [f6cb06f] oci-poc-save: Turn off puppet before mysql, so there's no risk
    that puppet restarts MySQL.
  * [fbfa7bd] machine-install-os: fix deletecting presence of
    /etc/oci/oci-repository-key.asc

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2025 15:56:16 +0200
