## openstack-cluster-installer 43.0.3~bpo12+1

=== debian/changelog ===
openstack-cluster-installer (43.0.3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Tue, 15 Apr 2025 14:07:26 +0000
