## openstack-cluster-installer 43.0.5~bpo12+1

=== debian/changelog ===
openstack-cluster-installer (43.0.5~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 17 Apr 2025 23:29:01 +0000

openstack-cluster-installer (43.0.5) unstable; urgency=medium

  * [5785feb] Fix package upgrade list for Epoxy.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2025 01:26:37 +0200

openstack-cluster-installer (43.0.4) unstable; urgency=medium

  * [e2d93f3] Blacklist some more failing tests.
  * [1ed2345] PoC: makes octavia ssh key available for tempest.
  * [b3c67e5] PoC: correctly set public_network_name.
  * [6515928] live image: do not attempt to install policykit-1 which isn't
    available in Trixie.
  * [2217c9c] Install Epoxy on top of Trixie by default.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2025 00:44:40 +0200
