## openstack-cluster-installer 43.0.6~bpo12+1

=== debian/changelog ===
openstack-cluster-installer (43.0.6~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Thu, 12 Jun 2025 06:14:06 +0000

openstack-cluster-installer (43.0.6) unstable; urgency=medium

  * [86c767b] Do not install ntp, removed form Trixie.
  * [b59049f] Do not install ilorest-chif.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 May 2025 14:12:05 +0200
